## node-oauth-1.0a 2.2.6

=== Makefile ===

test: node_modules .env
	npm test

coverage: coverage/lcov.info
	node_modules/.bin/istanbul report text

coveralls: coverage/lcov.info
	cat ./coverage/lcov.info | ./node_modules/coveralls/bin/coveralls.js && rm -rf ./coverage

.PHONY: test coverage coveralls

.env:
	@echo "BITBUCKET_CONSUMER_PUBLIC=" > $@
	@echo "BITBUCKET_CONSUMER_SECRET=" >> $@
	@echo "" >> $@
	@echo "FLICKR_CONSUMER_key=" >> $@
	@echo "FLICKR_CONSUMER_SECRET=" >> $@
	@echo "" >> $@
	@echo "LINKEDIN_CONSUMER_PUBLIC=" >> $@
	@echo "LINKEDIN_CONSUMER_SECRET=" >> $@
	@echo "" >> $@
	@echo "OPENBANK_CONSUMER_PUBLIC=" >> $@
	@echo "OPENBANK_CONSUMER_SECRET=" >> $@
	@echo "" >> $@
	@echo "TWITTER_CONSUMER_PUBLIC=" >> $@
	@echo "TWITTER_CONSUMER_SECRET=" >> $@
	@echo "TWITTER_TOKEN_PUBLIC=" >> $@
	@echo "TWITTER_TOKEN_SECRET=" >> $@

coverage/lcov.info: node_modules package.json oauth-1.0a.js .env test/*.js test/**/*.js test/mocha.opts
	node_modules/.bin/istanbul cover ./node_modules/mocha/bin/_mocha --report lcovonly

node_modules: package.json
	npm install
	touch node_modules

=== debian/changelog ===
node-oauth-1.0a (2.2.6-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Apply multi-arch hints. + node-oauth-1.0a: Add :any qualifier for nodejs
    dependency

  [ Yadd ]
  * Update standards version to 4.6.1, no changes needed
  * Add debian/gbp.conf
  * Fix filenamemangle
  * Replace /releases by /tags in GitHub urls

 -- Yadd <yadd@debian.org>  Mon, 31 Oct 2022 09:47:10 +0100

node-oauth-1.0a (2.2.6-2) unstable; urgency=medium

  [ lintian-brush ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 13.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Andrius Merkys ]
  * Adding 'Rules-Requires-Root: no'.
  * Build-Depends: pkg-js-tools -> dh-sequence-nodejs, dropping nodejs.

 -- Andrius Merkys <merkys@debian.org>  Mon, 22 Nov 2021 08:56:22 -0500

node-oauth-1.0a (2.2.6-1) unstable; urgency=medium

  * Initial release (Closes: #998651)

 -- Andrius Merkys <merkys@debian.org>  Sun, 07 Nov 2021 04:26:49 -0500

=== debian/control ===
Source: node-oauth-1.0a
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 chai <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-nodejs,
 mocha <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://github.com/ddo/oauth-1.0a#readme
Vcs-Git: https://salsa.debian.org/js-team/node-oauth-1.0a.git
Vcs-Browser: https://salsa.debian.org/js-team/node-oauth-1.0a
Rules-Requires-Root: no

Package: node-oauth-1.0a
Architecture: all
Depends:
 nodejs:any,
 ${misc:Depends},
Description: OAuth 1.0a request authorization
 OAuth 1.0a request authorization for Node and browser. Encapsulates OAuth
 request sending with an HTTP client (request, jQuery.ajax and so on).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

#override_dh_auto_build:

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-oauth-1.0a-$1/ \
 https://github.com/ddo/oauth-1.0a/tags .*/archive.*/v?([\d\.]+).tar.gz
